idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.TypeSearch

Description

Synopsis

- searchByType :: [String] -> PTerm -> Idris ()
- searchPred :: IState -> Type -> [(Name, Type)] -> [(Name, Score)]
- defaultScoreFunction :: Score -> Int

# Documentation

searchByType :: [String] -> PTerm -> Idris () #

searchPred :: IState -> Type -> [(Name, Type)] -> [(Name, Score)] #

Our default search predicate.

defaultScoreFunction :: Score -> Int #

Convert a `Score` to an `Int` to provide an order for search results. Lower scores are better.